| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Digikam::ItemListerJobReceiver Class Reference
Inheritance diagram for Digikam::ItemListerJobReceiver:

## Public Member Functions
| ItemListerJobReceiver (DBJob *const job)
void | error (const QString &errMsg) override
void | sendData ()
Public Member Functions inherited from Digikam::ItemListerValueListReceiver
void | error (const QString &errMsg) override
void | receive (const ItemListerRecord &record) override

## Protected Attributes
DBJob *const | m_job = nullptr

## Additional Inherited Members
Public Attributes inherited from Digikam::ItemListerValueListReceiver
bool | hasError = false
QList< ItemListerRecord > | records

## Member Function Documentation

## ◆ error()

void Digikam::ItemListerJobReceiver::error | ( | const QString & | errMsg | ) |
| override virtual

Reimplemented from Digikam::ItemListerReceiver.